// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Database;
using XGame.Framework.Serialization;

namespace XGame.Database
{
    /// <summary> AttrDesc </summary>
    public sealed class AttrDescTable : ITable
    {
        long ITable.Key => Id;

        /// <summary> 属性ID </summary>
        public int Id { get; private set; } // sc

        /// <summary> 属性名称 </summary>
        public string Name { get; private set; } // c

        /// <summary> 属性名称 </summary>
        public string ShowName { get; private set; } // c

        /// <summary> 0：固定值1：万分比 </summary>
        public int Num_type { get; private set; } // sc

        /// <summary> 上限值(万分比)0：不限制 </summary>
        public int Upper { get; private set; } // sc

        /// <summary> 图标 </summary>
        public string Icon { get; private set; } // c

        /// <summary> 转化战力战力系数/10000 </summary>
        public int PowerConversion { get; private set; } // sc

        void ISerializable.Deserialize(IReader reader)
        {
            Id = reader.ReadInt();
            Name = reader.ReadString();
            ShowName = reader.ReadString();
            Num_type = reader.ReadInt();
            Upper = reader.ReadInt();
            Icon = reader.ReadString();
            PowerConversion = reader.ReadInt();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(Id);
            writer.Write(Name);
            writer.Write(ShowName);
            writer.Write(Num_type);
            writer.Write(Upper);
            writer.Write(Icon);
            writer.Write(PowerConversion);
        }
    }
}
